package org.netkernel.servlet.http.rep;

public class RepHttpRedirect implements IHttpRedirect
{	
	private String mURL;
	private	int	mType;		//Default
	private String[] mChoices;
	
	public RepHttpRedirect(String aURL)
	{	this(aURL, IHttpRedirect.HTTP_REDIRECT_302_FOUND, null);
	}
	
	public RepHttpRedirect(String aURL, int aType)
	{	this(aURL, aType, null);
	}
	
	public RepHttpRedirect(String aURL, int aType, String[] aChoices)
	{	mURL=aURL;
		mType=aType;
		if(aChoices != null)
		{	if(mType==IHttpRedirect.HTTP_REDIRECT_300_MULTIPLE_CHOICES)
			{	mChoices=aChoices;
			}
			else
			{	throw new java.lang.IllegalArgumentException("Cannot set choices unless type is 300 MULTIPLE CHOICES");				
			}
		}
	}

	public int getType()
	{	return mType;
	}

	public String getURL()
	{	return mURL;
	}
	
	public String[] getChoices()
	{	return mChoices;
	}

}
